com.ihr.xbrl.om.assertions

## Enum XBRLConsistencyAssertion.ConsistencyAssertionType

- java.lang.Object
- - java.lang.Enum<XBRLConsistencyAssertion.ConsistencyAssertionType>
  - - com.ihr.xbrl.om.assertions.XBRLConsistencyAssertion.ConsistencyAssertionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLConsistencyAssertion.ConsistencyAssertionType>
  Enclosing class:
    XBRLConsistencyAssertion

      public static enum XBRLConsistencyAssertion.ConsistencyAssertionType
      extends java.lang.Enum<XBRLConsistencyAssertion.ConsistencyAssertionType>

  Indicates the type of the Consistency Assertion. This can be either Proportional or Absolute
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` There is an attribute called absoluteAcceptanceRadius.
    `ERROR` this means both or none of the attributes are found so the Consistency Assertion type is an error condition.
    `PROPORTIONAL` There is an attribute called proportionalAcceptanceRadius.
    `UNDEFINED` Happens when both parameters are null.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLConsistencyAssertion.ConsistencyAssertionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLConsistencyAssertion.ConsistencyAssertionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPORTIONAL

          public static final XBRLConsistencyAssertion.ConsistencyAssertionType PROPORTIONAL

      There is an attribute called proportionalAcceptanceRadius.

    - #### ABSOLUTE

          public static final XBRLConsistencyAssertion.ConsistencyAssertionType ABSOLUTE

      There is an attribute called absoluteAcceptanceRadius.

    - #### ERROR

          public static final XBRLConsistencyAssertion.ConsistencyAssertionType ERROR

      this means both or none of the attributes are found so the Consistency Assertion type is an error condition.

    - #### UNDEFINED

          public static final XBRLConsistencyAssertion.ConsistencyAssertionType UNDEFINED

      Happens when both parameters are null.

  - ### Method Detail

    - #### values

          public static XBRLConsistencyAssertion.ConsistencyAssertionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLConsistencyAssertion.ConsistencyAssertionType c : XBRLConsistencyAssertion.ConsistencyAssertionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLConsistencyAssertion.ConsistencyAssertionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null